PHP ��U
前一頁 |  | 下一頁

# dba_handlers

(PHP 4 >= 4.3.0, PHP 5)

dba_handlers -- List all the handlers available

## Description

array dba_handlers ( [bool full_info] )

dba_handlers() list all the handlers supported by this extension.

## Parameters

full_info

  Turns on/off full information display in the result. The default is `FALSE`.

## Return Values

Returns an array of database handlers. If full_info is set to `TRUE`, the array will be associative with the handlers names as keys, and their version information as value. Otherwise, the result will be an indexed array of handlers names.

> 注: When the internal cdb library is used you will see cdb and cdb_make.

## �d��

範例 1. dba_handlers() Example

`<?php echo "Available DBA handlers:\n"; foreach (dba_handlers(true) as $handler_name => $handler_version) { // clean the versions $handler_version = str_replace('$', '', $handler_version); echo " - $handler_name: $handler_version\n"; } ?>`

The above example will output something similar to:

    Available DBA handlers:
     - cdb: 0.75, Revision: 1.3.2.3
     - cdb_make: 0.75, Revision: 1.2.2.4
     - db2: Sleepycat Software: Berkeley DB 2.7.7: (08/20/99)
     - inifile: 1.0, Revision: 1.6.2.3
     - flatfile: 1.0, Revision: 1.5.2.4

前一頁 | 內容 | 下一頁
dba_firstkey | 上一層 | dba_insert